package com.example.helloworld;

import android.os.Bundle;
import android.app.Activity;
import android.content.Intent;
import android.view.Menu;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;

public class ShowOutput extends Activity {
	private Button backbutton;
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.show_output);
         TextView first_name = (TextView) findViewById(R.id.first_name);
         TextView last_name = (TextView) findViewById(R.id.last_name);
         TextView age = (TextView) findViewById(R.id.age);
         TextView city = (TextView) findViewById(R.id.city);
         
         Bundle extras = getIntent().getExtras();
         if(extras != null){
	          Person person = (Person) extras.getSerializable("person");        
	          first_name.setText("First Name: "+person.first_name);
	          last_name.setText("Last Name: "+person.last_name);
	         // age.setText("Age: "+person.age);
	         // city.setText("City: "+person.city);
         }else{         
	          first_name.setText("First Name: ****");
	          last_name.setText("Last Name: *****");
	          age.setText("Age: *****");
	          city.setText("City: *****");
         }
         
        // AnttiV: Tulosnkymst Takaisinpainike  
 		backbutton = (Button)findViewById(R.id.backbutton);
	    
 		backbutton.setOnClickListener(new View.OnClickListener() {
 	    	public void onClick(View v) {
 				Intent intent = new Intent (ShowOutput.this, DataInputActivity.class);                      
 				startActivity(intent);
 				finish();
 	          }
 	         });
		
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.hello_world, menu);
		return true;
	}

}
