package com.example.lamad_test;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.UnsupportedEncodingException;
import java.lang.Character.UnicodeBlock;
import java.net.URLEncoder;

import org.apache.http.HttpEntity;
import org.apache.http.HttpResponse;
import org.apache.http.StatusLine;
import org.apache.http.client.ClientProtocolException;
import org.apache.http.client.HttpClient;
import org.apache.http.client.methods.HttpGet;
import org.apache.http.impl.client.DefaultHttpClient;
import org.apache.http.params.BasicHttpParams;
import org.apache.http.params.HttpConnectionParams;
import org.apache.http.params.HttpParams;
import org.json.JSONArray;
import org.json.JSONObject;

import android.util.Log;



	

import android.os.Build;
	import android.os.Bundle;
	import android.os.StrictMode;
import android.annotation.TargetApi;
	import android.content.Intent;
	import android.support.v4.app.FragmentActivity;

	import android.view.Menu;

import android.widget.Toast;


	@TargetApi(Build.VERSION_CODES.GINGERBREAD)
	public class GetStudentJSON {






	

		@TargetApi(Build.VERSION_CODES.GINGERBREAD)
		public static JSONArray getStudentsJSON() throws UnsupportedEncodingException {
		
		//    StrictMode.ThreadPolicy policy = new   
		//    StrictMode.ThreadPolicy.Builder().permitAll().build();
	//	    StrictMode.setThreadPolicy(policy);

			
	    	HttpParams httpParameters = new BasicHttpParams();
	    	// Set the timeout in milliseconds until a connection is established.
	    	// The default value is zero, that means the timeout is not used. 
	    	int timeoutConnection = 150000;
	    	HttpConnectionParams.setConnectionTimeout(httpParameters, timeoutConnection);
	    	// Set the default socket timeout (SO_TIMEOUT) 
	    	// in milliseconds which is the timeout for waiting for data.
	    	int timeoutSocket = 50000;
	    	HttpConnectionParams.setSoTimeout(httpParameters, timeoutSocket);

		    HttpClient httpclient = new DefaultHttpClient(httpParameters);

		    // Prepare a request object
		    HttpGet httpget = new HttpGet("http://cs.joensuu.fi/lamad/server.php?param="+URLEncoder.encode("{\"request_type\":\"get_students_with_params\"}", "utf-8")); 

		 
		    // Execute the request
		    HttpResponse response;
		    JSONArray uniObject = null;
		    try {
		    	

		    	//DefaultHttpClient httpClient = new DefaultHttpClient(httpParameters);
		    	//HttpResponse response = httpClient.execute(httpGet);
		    	
		    	
		    	
		        response = httpclient.execute(httpget);
		        // Examine the response status
		        //Log.i("Info",response.getStatusLine().toString());  Comes back with HTTP/1.1 200 OK

		        // Get hold of the response entity
		        HttpEntity entity = response.getEntity();

		        if (entity != null) {
		            InputStream instream = entity.getContent();
		            String result= convertStreamToString(instream);

		      //      JSONArray arr = new JSONArray(result);
		        //    JSONObject jObj = arr.getJSONObject(0);
		            JSONObject mainObject = new JSONObject(result);
		             uniObject = (JSONArray) mainObject.get("students");
		      //      JSONObject uniObject1 = mainObject.getJSONObject("students");
		      //      String lat = jObj.getString("Lat");
		       //     Log.d("OutPut", jObj.getString("Lon"));
		      //      Toast.makeText(this, lat, Toast.LENGTH_LONG).show();
		            instream.close();
		            return uniObject;
		        }


		    } catch (Exception e) {
		        Log.e("Error",e.toString());
		    }
			
			return uniObject;
		}

		    private static String convertStreamToString(InputStream is) {
		    /*
		     * To convert the InputStream to String we use the BufferedReader.readLine()
		     * method. We iterate until the BufferedReader return null which means
		     * there's no more data to read. Each line will appended to a StringBuilder
		     * and returned as String.
		     */
		    BufferedReader reader = new BufferedReader(new InputStreamReader(is));
		    StringBuilder sb = new StringBuilder();

		    String line = null;
		    try {
		        while ((line = reader.readLine()) != null) {
		            sb.append(line + "\n");
		        }
		    } catch (IOException e) {
		        e.printStackTrace();
		    } finally {
		        try {
		            is.close();
		        } catch (IOException e) {
		            e.printStackTrace();
		        }
		    }
		    return sb.toString();
		
		}

	}//end of class
