package com.example.lamad_test;

public class StudentInfo implements Cloneable{

	   
		private String studentName;
		private String studentNumber;
		private String program;
		private int startYear;
		private int graduationYear;
		private String country;
		private double latitude;
		private double longitude;
		private String supervisorName;
		private String topic;
		private String status;
		
		public StudentInfo deepCopy(StudentInfo input){
		    StudentInfo copy = new StudentInfo(input.getStudentName(), input.getProgram(), input.getStartYear(),
		    		input.getGraduationYear(), input.getCountry(), input.getStudentNumber(),input.getLatitude(),
		    		input.getLongitude(), input.getSupervisorName(), input.getTopic(), input.getStatus());
		    //copy.setValue(input.getValue());//.. copy primitives, deep copy objects again

		    return copy;
		}
		
		public StudentInfo(String studentName, String program, int startYear,
				int gradYear, String country,String studentNumber,double latitude, 
				double longitude, String supervisorName,String topic,String status) {
			setStudentName(studentName);
			setProgram(program);
			setStartYear(startYear);
			setGraduationYear(gradYear);
			setCountry(country);
			setStudentNumber(studentNumber);
			setLatitude(latitude);
			setLongitude(longitude);
			setSupervisorName(supervisorName);
			setTopic(topic);
			setStatus(status);
			
		}

		public String getStudentName() {
			return studentName;
		}

		public void setStudentName(String studentName) {
			this.studentName = studentName;
		}

		public String getProgram() {
			return program;
		}

		public void setProgram(String program) {
			this.program = program;
		}

		public int getStartYear() {
			return startYear;
		}

		public void setStartYear(int startYear) {
			this.startYear = startYear;
		}

		public int getGraduationYear() {
			return graduationYear;
		}

		public void setGraduationYear(int graduationYear) {
			this.graduationYear = graduationYear;
		}

		public String getCountry() {
			return country;
		}

		public void setCountry(String country) {
			this.country = country;
		}

		public String getStudentNumber() {
			return studentNumber;
		}

		public void setStudentNumber(String studentNumber) {
			this.studentNumber = studentNumber;
		}

		public double getLatitude() {
			return latitude;
		}

		public void setLatitude(double latitude) {
			this.latitude = latitude;
		}

		public double getLongitude() {
			return longitude;
		}

		public void setLongitude(double longitude) {
			this.longitude = longitude;
		}

		public String getSupervisorName() {
			return supervisorName;
		}

		public void setSupervisorName(String supervisorName) {
			this.supervisorName = supervisorName;
		}

		public String getTopic() {
			return topic;
		}

		public void setTopic(String topic) {
			this.topic = topic;
		}

		public String getStatus() {
			return status;
		}

		public void setStatus(String status) {
			this.status = status;
		}
		
		@Override
	   public StudentInfo clone(){
		   return new StudentInfo(this.studentName,
				   this.program,
				   this.startYear,
				   this.graduationYear,
				   this.country,
				   this.studentNumber,
				   this.latitude,
				   this.longitude,
				   this.supervisorName,
				   this.topic,
				   this.status
				   );
	   }
	    
	
}
