/*package com.example.lamad_test;
 
import java.io.BufferedReader;
import java.io.InputStream;
import java.io.InputStreamReader;
 
import org.apache.http.HttpEntity;
import org.apache.http.HttpResponse;
import org.apache.http.StatusLine;
import org.apache.http.client.HttpClient;
import org.apache.http.client.methods.HttpGet;
import org.apache.http.impl.client.DefaultHttpClient;
import org.json.JSONObject;
 
import android.app.Activity;
import android.os.AsyncTask;
import android.os.Bundle;
import android.util.Log;
import android.widget.Toast;
 
public class jsonTest extends Activity {
 
    public String readJSONFeed(String URL) {
        StringBuilder stringBuilder = new StringBuilder();
        HttpClient httpClient = new DefaultHttpClient();
        HttpGet httpGet = new HttpGet(URL);
        try {
            HttpResponse response = httpClient.execute(httpGet);
            StatusLine statusLine = response.getStatusLine();
            int statusCode = statusLine.getStatusCode();
            if (statusCode == 200) {
                HttpEntity entity = response.getEntity();
                InputStream inputStream = entity.getContent();
                BufferedReader reader = new BufferedReader(
                        new InputStreamReader(inputStream));
                String line;
                while ((line = reader.readLine()) != null) {
                    stringBuilder.append(line);
                }
                inputStream.close();
            } else {
                Log.d("JSON", "Failed to download file");
            }
        } catch (Exception e) {
            Log.d("readJSONFeed", e.getLocalizedMessage());
        }        
        return stringBuilder.toString();
    }
 
    private class ReadWeatherJSONFeedTask extends AsyncTask
    <String, Void, String> {
        protected String doInBackground(String... urls) {
            return readJSONFeed(urls[0]);
        }
 
        protected void onPostExecute(String result) {
            try {
                JSONObject jsonObject = new JSONObject(result);
                JSONObject weatherObservationItems = 
                    new JSONObject(jsonObject.getString("weatherObservation"));
 
                Toast.makeText(getBaseContext(), 
                    weatherObservationItems.getString("clouds") + 
                 " - " + weatherObservationItems.getString("stationName"), 
                 Toast.LENGTH_SHORT).show();
            } catch (Exception e) {
                Log.d("ReadWeatherJSONFeedTask", e.getLocalizedMessage());
            }          
        }
    }
 
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
    }
}



import java.io.BufferedReader;
import java.io.Console;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.URI;
import java.net.URL;


import com.google.android.gms.maps.CameraUpdateFactory;
import com.google.android.gms.maps.GoogleMap;
import com.google.android.gms.maps.model.BitmapDescriptorFactory;
import com.google.android.gms.maps.model.LatLng;
import com.google.android.gms.maps.model.MarkerOptions;

import android.os.AsyncTask;
import android.os.Bundle;

import org.apache.http.HttpEntity;
import org.apache.http.HttpResponse;
import org.apache.http.StatusLine;
import org.apache.http.client.ClientProtocolException;
import org.apache.http.client.HttpClient;
import org.apache.http.client.methods.HttpGet;
import org.apache.http.client.methods.HttpPost;
import org.apache.http.impl.client.DefaultHttpClient;
import org.apache.http.params.BasicHttpParams;
import org.apache.http.params.HttpConnectionParams;
import org.apache.http.params.HttpParams;
import org.apache.http.protocol.BasicHttpContext;
import org.apache.http.protocol.HttpContext;
import org.json.JSONObject;
import org.json.JSONArray;
import org.json.JSONException;


import com.google.android.maps.MapActivity;

import android.support.v4.app.FragmentActivity;
import android.util.Log;
import android.view.Menu;
import android.widget.Toast;

import com.google.android.gms.maps.SupportMapFragment;

public class MainActivity extends FragmentActivity {
	static final LatLng JOENSUU = new LatLng(62.600293, 29.757843);
	private SupportMapFragment mMapFragment;	
private String str, link;
private GoogleMap googleMap;

private static final String TAG_STUDENTS = "students";
private static final String TAG_NAME = "name";
private static final String TAG_LAT = "latitude";
private static final String TAG_LON = "longitude";
private static final String TAG_PRG = "program";	
private static final String TAG_CON = "country";
private static final String TAG_SY = "startYear";

@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		//str="Hello";
		//Log.i("tag_str",str);
		mMapFragment = ((SupportMapFragment)getSupportFragmentManager().findFragmentById(R.id.map));
		googleMap = mMapFragment.getMap();
		googleMap = ((SupportMapFragment)(getSupportFragmentManager().findFragmentById(R.id.map))).getMap(); 
	
		//String studentsString = getStudentsJSON();
		DownloadWebpageTask myTask = new DownloadWebpageTask(this);
		myTask.execute("http://cs.joensuu.fi/lamad/server.php?param={%22request_type%22:%22get_students_with_params%22,%22program%22:%22IMPIT%22}");
		
		
	
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.main, menu);
		return true;
	}
	
	public void processFetchedData(String data) {
   
		    try{
		    	JSONArray students;
		    	JSONObject jArray=null;
	                //JSONObject studentsJSON =  new JSONObject(data);
	               jArray = new JSONObject(data);        
	              
			    // Getting Array of students
			    students = jArray.getJSONArray(TAG_STUDENTS);
			 
			    // Looping through all students
			    for(int i = 0; i < students.length(); i++)
			    {
			        JSONObject student = students.getJSONObject(i);
			 
			        // Storing each json item in variable
			        String name = student.getString(TAG_NAME);
			        double lat = student.getDouble(TAG_LAT);
			        double lon = student.getDouble(TAG_LON);
			        String prg = student.getString(TAG_PRG);
			        String con = student.getString(TAG_CON);
			        String sy = student.getString(TAG_SY);
			        String concat = prg+" "+sy+" "+con;
			        LatLng studentPosition = new LatLng(lat, lon);
			        googleMap.setMapType(GoogleMap.MAP_TYPE_NORMAL);
			        googleMap.addMarker(new MarkerOptions()
			        .position(studentPosition)
			        .title(name)
		            .snippet(concat)
		            .icon(BitmapDescriptorFactory.defaultMarker(BitmapDescriptorFactory.HUE_AZURE)));
			        googleMap.getUiSettings().setCompassEnabled(true);
				    googleMap.getUiSettings().setZoomControlsEnabled(true);
				    googleMap.animateCamera(CameraUpdateFactory.newLatLngZoom(studentPosition, 5));
			  
			        
			    
			        
			    }	   
		    	
		    	 	
		    	
		    	
		    }catch (JSONException e) {
			  //  e.printStackTrace();
		    	Log.d("new_err",e.toString());
			    Toast.makeText(getApplicationContext(), e.toString(), Toast.LENGTH_LONG).show();
			}
		    
		    
		   
		    googleMap = ((SupportMapFragment)(getSupportFragmentManager().findFragmentById(R.id.map))).getMap();
		    LatLng latLng = new LatLng(-33.796923, 150.922433);
		    googleMap.setMapType(GoogleMap.MAP_TYPE_NORMAL);
		    googleMap.addMarker(new MarkerOptions()
		            .position(latLng)
		            .title(str)
		            .snippet("Nepal")
		            .icon(BitmapDescriptorFactory.defaultMarker(BitmapDescriptorFactory.HUE_AZURE)));
		    googleMap.getUiSettings().setCompassEnabled(true);
		    googleMap.getUiSettings().setZoomControlsEnabled(true);
		    googleMap.animateCamera(CameraUpdateFactory.newLatLngZoom(latLng, 10)); 
		    
		
		
		
		
		
		
		
		
		
		
		
	}
	
	public static String convertURL(String str) {

	    String url = null;
	    try{
	    url = new String(str.trim().replace(" ", "%20").replace("&", "%26")
	            .replace(",", "%2c").replace("(", "%28").replace(")", "%29")
	            .replace("!", "%21").replace("=", "%3D").replace("<", "%3C")
	            .replace(">", "%3E").replace("#", "%23").replace("$", "%24")
	            .replace("'", "%27").replace("*", "%2A").replace("-", "%2D")
	            .replace(".", "%2E").replace("/", "%2F").replace(":", "%3A")
	            .replace(";", "%3B").replace("?", "%3F").replace("@", "%40")
	            .replace("[", "%5B").replace("\\", "%5C").replace("]", "%5D")
	            .replace("_", "%5F").replace("`", "%60").replace("{", "%7B")
	            .replace("|", "%7C").replace("}", "%7D"));
	    }catch(Exception e){
	        e.printStackTrace();
	    }
	    return url;
	}
}*/